@ECHO OFF
REM Lucas 12/05/2017

SET path_glassfish="C:\TrollSD\glassfish\"
SET path_jar="C:\TrollSD\glassfish\glassfish\domains\trollws\config\Troll_WS_config.jar"
SET path_apk="C:\TrollSD\glassfish\glassfish\domains\trollws\config\trollsd-release.apk"
SET path_war="C:\TrollSD\glassfish\glassfish\domains\trollws\autodeploy\trollws.war"
SET path_bat="C:\Users\%username%\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\Startup\start.bat"
SET path_asadmin="C:\TrollSD\glassfish\glassfish\bin\asadmin.bat"
SET path_ser="C:\TrollSD\glassfish\glassfish\domains\trollws\config\cfg.ser"

ECHO.
IF EXIST "glassfish" (
	REM SETUP  - 0
	SET tipoSetup=0
	ECHO -------------------- INSTALACAO DO TROLLSD --------------------
) ELSE (
	REM UPDATE - 1
	SET tipoSetup=1
	ECHO -------------------- ATUALIZACAO DO TROLLSD --------------------
)
ECHO. && ECHO. && ECHO.
IF EXIST %path_glassfish% (
	ECHO ---^> TrollSD ja instalado
	ECHO - Parando servidor TrollSD...
	cmd /c %path_asadmin% stop-domain trollws >NUL && ECHO - Servidor TrollSD parado && ECHO. && ECHO.
)
IF %tipoSetup% == 0 (
	ECHO ---^> Instalando servidor...
	XCOPY /y /e "glassfish" %path_glassfish% >NUL
	ECHO - Servidor instalado.........%path_glassfish%
	ECHO.
)
ECHO ---^> Copiando arquivo JAR...
COPY /y "data\Troll_WS_config.jar" %path_jar% >NUL && ECHO - Arquivo JAR copiado........%path_jar%
ECHO.

ECHO ---^> Copiando arquivo APK...
COPY /y "data\trollsd-release.apk" %path_apk% >NUL && ECHO - Arquivo APK copiado........%path_apk%
ECHO.

ECHO ---^> Copiando arquivo WAR...
COPY /y "data\trollws.war" %path_war% >NUL && ECHO - Arquivo WAR copiado........%path_war%
ECHO.

ECHO ---^> Criando arquivo BAT...
ECHO %path_asadmin% start-domain trollws >%path_bat% && ECHO - Arquivo BAT criado.........%path_bat%
ECHO.

ECHO. && ECHO.
CHOICE /M "---> Deseja configurar o servidor?" /c SN
IF ERRORLEVEL 255 (
	ECHO  Erro 0x007
) ELSE IF ERRORLEVEL 2 (
	ECHO - Servidor nao configurado
) ELSE IF ERRORLEVEL 1 (
	ECHO - Configurando servidor...
	java -jar %path_jar%
	IF EXIST "cfg.ser" MOVE /y "cfg.ser" %path_ser% >NUL && ECHO - Servidor configurado
) ELSE IF ERRORLEVEL 0 (
	EXIT
)
ECHO. && ECHO.
CHOICE /M "---> Deseja iniciar o servidor?" /c SN
IF ERRORLEVEL 255 (
	ECHO  Erro 0x007
) ELSE IF ERRORLEVEL 2 (
	ECHO - Servidor parado
) ELSE IF ERRORLEVEL 1 (
	ECHO - Iniciando servidor...
	cmd /c %path_asadmin% start-domain trollws >NUL && ECHO - Servidor iniciado
) ELSE IF ERRORLEVEL 0 (
	EXIT
)
ECHO. && ECHO. && ECHO.
IF EXIST "glassfish" (
	SET tipoSetup=0
	ECHO -------------------- INSTALACAO FINALIZADA --------------------
) ELSE (
	SET tipoSetup=1
	ECHO -------------------- ATUALIZACAO FINALIZADA --------------------
)
ECHO. && ECHO. && ECHO.
PAUSE

ECHO Instalado em: %date% %time%>%path_glassfish%\log.txt